Package org.jfree.report.modules.data.sql

## Class SQLReportDataFactory

- java.lang.Object
- - org.jfree.report.modules.data.sql.SimpleSQLReportDataFactory
  - - org.jfree.report.modules.data.sql.SQLReportDataFactory

- All Implemented Interfaces:
    `java.lang.Cloneable`, `ReportDataFactory`

      public class SQLReportDataFactory
      extends SimpleSQLReportDataFactory

  Creation-Date: 19.02.2006, 17:37:33
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SQLReportDataFactory​(java.sql.Connection connection)` |
    `SQLReportDataFactory​(ConnectionProvider connectionProvider)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getQuery​(java.lang.String name)` |
    `java.lang.String[]` | `getQueryNames()` |
    `ReportData` | `queryData​(java.lang.String query, DataSet parameters)` | Queries a datasource.
    `void` | `setQuery​(java.lang.String name, java.lang.String queryString)` |

    - ### Methods inherited from class org.jfree.report.modules.data.sql.SimpleSQLReportDataFactory

      `clone, close, derive, isLabelMapping, open, setLabelMapping`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SQLReportDataFactory

          public SQLReportDataFactory​(java.sql.Connection connection)

    - #### SQLReportDataFactory

          public SQLReportDataFactory​(ConnectionProvider connectionProvider)

  - ### Method Detail

    - #### setQuery

          public void setQuery​(java.lang.String name,
                               java.lang.String queryString)

    - #### queryData

          public ReportData queryData​(java.lang.String query,
                                      DataSet parameters)
                               throws ReportDataFactoryException

      Queries a datasource. The string 'query' defines the name of the query. The Parameterset given here may contain more data than actually needed.

      The dataset may change between two calls, do not assume anything!
      Specified by:
        `queryData` in interface `ReportDataFactory`
      Overrides:
        `queryData` in class `SimpleSQLReportDataFactory`
      Parameters:
        `query` -
        `parameters` -
      Returns:
      Throws:
        `ReportDataFactoryException`

    - #### getQuery

          public java.lang.String getQuery​(java.lang.String name)

    - #### getQueryNames

          public java.lang.String[] getQueryNames()